.side-menu-wrapper {
  position: fixed;
  display: flex;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  transition: var(--transition-movement) var(--transition-speed) opacity;
  visibility: hidden;
}

@keyframes side-menu-goodbye {
  from {
    z-index: 9;
    visibility: visible;
  }

  to {
    z-index: -1;
    visibility: hidden;
  }
}

.side-menu-wrapper.collapsed {
  animation: var(--transition-movement) var(--transition-speed)
    side-menu-goodbye;
  z-index: -1;
}

.side-menu-wrapper.expanded {
  opacity: 1;
  z-index: 9999;
  visibility: visible !important;
}

.side-menu-wrapper.right {
  flex-direction: row-reverse;
}

.side-menu.full .side-menu-box {
  width: 100%;
  max-width: 100%;
}

.side-menu-box {
  flex: 30%;
  max-width: 350px;
  height: 100%;
  background-color: #fff;
  position: relative;
  transition: var(--transition-movement) var(--transition-speed) all;
  margin: 0;
  z-index: 999999999999999999 !important;
  text-align: left;
}

.side-menu-box a,
.side-menu-box p,
.side-menu-box span {
  -webkit-text-fill-color: #000000 !important;
}


.side-menu-box a.color-red{
  color: var(--color-primary)  !important;;
  -webkit-text-fill-color: var(--color-primary) !important
}


.side-menu-content {
  overflow: auto;
  width: 100%;
  height: 100%;
  padding: var(--spacing-xg);
  z-index: 9;
  background-color: var(--color-white);
}

.side-menu-content ul li a {
  color: var(--color-black);
}

.side-menu-content::-webkit-scrollbar {
  width: 6px;
  background: #f4f4f4;
}

/* Track */
.side-menu-content::-webkit-scrollbar-track {
  border-radius: 10px;
  background-color: #fff;
}

/* Handle */
.side-menu-content::-webkit-scrollbar-thumb {
  border-radius: 10px;
  background-color: #dedede94;
}

/* Handle on hover */
.side-menu-content::-webkit-scrollbar-thumb:hover {
  background: #dedede94;
}

.side-menu-header {
  /*padding-bottom: var(--spacing-md);*/
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 24px 24px 10px 24px;
}

.expanded.right .side-menu-box {
  margin-right: 0;
}

.right .side-menu-box {
  right: 0;
  margin-right: -100%;
}

.expanded.left .side-menu-box {
  margin-left: 0;
}

.left .side-menu-box {
  left: 0;
  margin-left: -75%;
}

.side-menu-close-button {
  display: flex;
}

.side-menu-right {
  flex: 70%;
  background-color: #66666644;
  height: 100vh;
}

@media screen and (max-width: 850px) {
  .side-menu-box {
    flex: 75%;
  }
  .side-menu-right {
    flex: 25%;
  }
  .side-menu-header {
    padding: 16px !important;
  }
  .side-menu-content {
    padding: var(--spacing-lg);
  }

  #side-menu-mobile .side-menu-content {
    padding: 0 16px !important;
  }
}

.side-menu-content {
  overflow: auto;
  width: 100%;
  height: 100vh;
}

.side-menu-content::-webkit-scrollbar {
  width: 6px;
  background: #f4f4f4;
}

/* Track */
.side-menu-content::-webkit-scrollbar-track {
  border-radius: 10px;
  background-color: #fff;
}

/* Handle */
.side-menu-content::-webkit-scrollbar-thumb {
  border-radius: 10px;
  background-color: #dedede94;
}

/* Handle on hover */
.side-menu-content::-webkit-scrollbar-thumb:hover {
  background: #dedede94;
}

.side-menu-content .central-box span a{
  font-size: 15px;
  color: var(--color-primary) !important;
  --webkit-text-fill-color: var(--color-primary) !important;
}
